package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.vo.FileExportVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 离线生成文件
 *
 * @author dengjian
 * @Date 2024/11/14 9:25
 */
public interface FileExportMapper extends BaseMapper<FileExportVO> {

    FileExportVO getFileExportByFileName(@Param("fileName") String fileName);

    int updateFileExport(FileExportVO fileExportVO);

    int saveFileExport(FileExportVO fileExportVO);

    int deleteFileExportById(@Param("id") Integer id);

    IPage<FileExportVO> getFileExportList(@Param("page") Page page,@Param("fileName") String fileName);

    FileExportVO getFileExportById(@Param("id") Integer id);


}
